/**
 * This JavaScript file looks for videos on pages and load them if found.
 *
 * It uses FancyBox with Jquery.(Both located in /js)
 * It was decided to stream straight from YouTube and not use internal or current external resources.
 * A simple <a> with thte YoutTube link and a class="playvideo" will trigger the video in a fancybox.
 * @author  Mike Ferguson <mferguso@stfx.ca>
 * @version 1.1
 */
$(document).ready(function() {
    
    /* This is for a simple image */
    $("a.showimage").fancybox({
		'titleShow'     : false
	});
    
    /* This is the Youtube Call to Play Video*/
    $("a.playvideo").click(function() {
             $.fancybox({
              'padding'             : 10,
              'autoScale'   	    : false,
              'transitionIn'        : 'none',
              'transitionOut'       : 'none',
              'title'               : this.title,
              'width'               : 680,
              'height'              : 495,
              'href'                : this.href.replace(new RegExp("watch\\?v=", "i"), 'v/') + '&rel=0&egm=0&showsearch=0&fmt=18&hd=1&autoplay=1',
              'type'                : 'swf',    // <--add a comma here
              'swf'                 : {'allowfullscreen':'false'} // <-- flashvars here
              });
             return false;
    
        });
    /*This the call for all videos from Brightcove, auto detects mobile*/
    $('a.movie').each(function(){
    $(this).fancybox({
              'width'		: 960,
              'height'		: 445,
              'autoScale'     	: false,
              'transitionIn'	: 'fade',
              'transitionOut'	: 'fade',
              'type'		: 'iframe',
              'padding'		: 3,
              'margin'		: 3,
              'scrolling'       : 'no',
              'overlayOpacity'	: 0.9,
	      'overlayColor'	: '#000'
              });
    });
    
    /*This the call for all iframes, feeds the size of the iframe from the link ie: <a class="iframes" href="http://download.isiglobal.ca/stfx/live.html?width=500&amp;height=400">click here</a>*/
    $('a.iframes').each(function(){
    var dWidth = parseInt($(this).attr('href').match(/width=[0-9]+/i)[0].replace('width=',''));
    var dHeight =  parseInt($(this).attr('href').match(/height=[0-9]+/i)[0].replace('height=',''));
    $(this).fancybox({
              'width': dWidth,
              'height': dHeight,
              'autoScale'     	: false,
              'transitionIn'	: 'fade',
              'transitionOut'	: 'fade',
              'type'		: 'iframe',
              'scrolling'       : 'yes'
              });
    });
    
     /*This the call for all iframes WITH NO BORDER, feeds the size of the iframe from the link ie: <a class="iframesNB" href="http://download.isiglobal.ca/stfx/live.html?width=500&amp;height=400">click here</a>*/
    $('a.iframesNB').each(function(){
    var dWidth = parseInt($(this).attr('href').match(/width=[0-9]+/i)[0].replace('width=',''));
    var dHeight =  parseInt($(this).attr('href').match(/height=[0-9]+/i)[0].replace('height=',''));
    $(this).fancybox({
              'width': dWidth,
              'height': dHeight,
              'autoScale'     	: false,
              'transitionIn'	: 'fade',
              'transitionOut'	: 'fade',
              'type'		: 'iframe',
              'scrolling'       : 'no',
              'padding'		: 8,
	      'margin'		: 0,
              'overlayOpacity'	: 0.8,
	          'overlayColor'	: '#000'
              });
    });
    
      
       /*This the call for all flash files with NO BORDER, <a class="fancyflash" href="flashfile.swf?width=500&amp;height=400">click here</a>*/
    $('a.fancyflash').each(function(){
    var dWidth = parseInt($(this).attr('href').match(/width=[0-9]+/i)[0].replace('width=',''));
    var dHeight =  parseInt($(this).attr('href').match(/height=[0-9]+/i)[0].replace('height=',''));
    $(this).fancybox({
              'width': dWidth,
              'height': dHeight,
              'autoScale'     	: false,
              'autoDimensions'  : false,
              'transitionIn'	: 'fade',
              'transitionOut'	: 'fade',
              'type'		: 'swf',
              'padding'		: 4,
	          'margin'		: 4,
              'overlayOpacity'	: 0.8,
	          'overlayColor'	: '#000'
              });
    });
    

});

        
/* This is the Photo Gallery Call from Flash*/
function callFancy_photo(my_href) {
	var j1 = document.getElementById("hiddenclicker_photo");
	j1.href = my_href;
	$('#hiddenclicker_photo').trigger('click');
	}
        
/*jwplayer trigger*/        
$(function() {    
     $("a.viewvideo").click(function() {
       $.fancybox({
         'autoscale' : false,
         'transitionIn' : 'none',
         'transitionOut': 'none',
         'padding' : 0,
         'title'  : this.title,
         'width'  : 680,
         'height' : 495,
         'type'    : 'swf',
         'href'    : this.href + '&streamer=rtmp://streaming.stfx.ca/vod/&autostart=1&screencolor=000000&bufferlength=10',
         'swf'   : { 'wmode':'transparent', 'allowfullscreen':'true' }
       });
      
       return false;
     });
   });
